## 一 1panel

#### 1、1Panel简介

![image-20240529175701925](C:\Users\涂祖函\AppData\Roaming\Typora\typora-user-images\image-20240529175701925.png)

[1Panel](https://1panel.cn/) 是一个现代化、开源的 Linux 服务器运维管理面板

#### 2、1Panel特点

**高效管理：**用户可以通过 Web 图形界面轻松管理 Linux 服务器，实现主机监控、文件管理、数据库管理、容器管理等功能；
**快速建站：**深度集成开源建站软件 WordPress 和 Halo，域名绑定、SSL 证书配置等操作一键搞定；
**应用商店：****精选上架各类高质量的开源工具和应用软件，协助用户轻松安装并升级；
**安全可靠：**基于容器管理并部署应用，实现最小的漏洞暴露面，同时提供防火墙和日志审计等功能；
**一键备份：**支持一键备份和恢复，用户可以将数据备份到各类云端存储介质，永不丢失



## 二.本地环境规划

#### 1、使用1Panel目的

1.在Linux系统中部署1Panel运维面板；
2.加强在Linux系统环境的日常使用能力；
3.可以熟练使用1Panel面板对Linux系统进行高效运维；

#### 2、本地环境部署

最好在个人测试环境，生产环境请谨慎使用



## 三、部署1Panel（在线安装）

#### 1.创建安装目录

创建1Panel的安装目录（默认在/opt目录下，也可以自定义创建，本次实验已自定义为主）

```shell
mkdir /path/1Panel
```

#### 2.一键部署1Panel

使用以下命令，一键部署1Panel。

```shell
curl -sSL https://resource.fit2cloud.com/1panel/package/quick_start.sh -o quick_start.sh && sh quick_start.sh
```

```shell
[root@mongo-node1 maycur]# curl -sSL https://resource.fit2cloud.com/1panel/package/quick_start.sh -o quick_start.sh && sh quick_start.sh
开始下载 1Panel v1.10.2-lts 版本在线安装包
安装包下载地址： https://resource.fit2cloud.com/1panel/package/stable/v1.10.2-lts/release/1panel-v1.10.2-lts-linux-amd64.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 48.4M  100 48.4M    0     0  10.6M      0  0:00:04  0:00:04 --:--:-- 11.5M
1panel-v1.10.2-lts-linux-amd64/1panel.service
1panel-v1.10.2-lts-linux-amd64/1pctl
1panel-v1.10.2-lts-linux-amd64/LICENSE
1panel-v1.10.2-lts-linux-amd64/README.md
1panel-v1.10.2-lts-linux-amd64/install.sh
1panel-v1.10.2-lts-linux-amd64/1panel

 ██╗    ██████╗  █████╗ ███╗   ██╗███████╗██╗     
███║    ██╔══██╗██╔══██╗████╗  ██║██╔════╝██║     
╚██║    ██████╔╝███████║██╔██╗ ██║█████╗  ██║     
 ██║    ██╔═══╝ ██╔══██║██║╚██╗██║██╔══╝  ██║     
 ██║    ██║     ██║  ██║██║ ╚████║███████╗███████╗
 ╚═╝    ╚═╝     ╚═╝  ╚═╝╚═╝  ╚═══╝╚══════╝╚══════╝
[1Panel Log]: ======================= 开始安装 ======================= 
设置 1Panel 安装目录（默认为/opt）：                 （此选项可自定义也可以自行创建目录）
[1Panel Log]: 您选择的安装路径为 /opt 
[1Panel Log]: 检测到 Docker 已安装，跳过安装步骤 
[1Panel Log]: 启动 Docker  
[1Panel Log]: ... 在线安装 docker-compose 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 56.8M  100 56.8M    0     0  10.0M      0  0:00:05  0:00:05 --:--:-- 11.0M
[1Panel Log]: docker-compose 安装成功 
设置 1Panel 端口（默认为20904）：10086          （本选项本人自定义端口也可以选用默认端口）
[1Panel Log]: 您设置的端口为：10086 
[1Panel Log]: 防火墙未开启，忽略端口开放 
设置 1Panel 面板用户（默认为95feba06e2）：root（此选项本人自定义设置登录用户名）
[1Panel Log]: 您设置的面板用户为：root
设置 1Panel 面板密码（默认为f507479de9）：    （自定义设置密码）
[1Panel Log]: 配置 1Panel Service 
Created symlink from /etc/systemd/system/multi-user.target.wants/1panel.service to /etc/systemd/system/1panel.service.
[1Panel Log]: 启动 1Panel 服务 
[1Panel Log]: 1Panel 服务启动成功! 
[1Panel Log]:  
[1Panel Log]: =================感谢您的耐心等待，安装已经完成================== 
[1Panel Log]:  
[1Panel Log]: 请用浏览器访问面板: 
[1Panel Log]: 外网地址: http://61.164.38.250:10086/dd17b3d79a
[1Panel Log]: 内网地址: http://192.168.95.195:10086/dd17b3d79a（内网访问地址） 
[1Panel Log]: 面板用户: xjx 
[1Panel Log]: 面板密码: Ma*******                          （打印个人所自定义设置的密码）
[1Panel Log]:  
[1Panel Log]: 项目官网: https://1panel.cn 
[1Panel Log]: 项目文档: https://1panel.cn/docs 
[1Panel Log]: 代码仓库: https://github.com/1Panel-dev/1Panel 
[1Panel Log]:  
[1Panel Log]: 如果使用的是云服务器，请至安全组开放 10086 端口 
[1Panel Log]:  
[1Panel Log]: ================================================================
```

#### 3.检查1Panel服务运行状态

```shell
systemctl status 1panel.service
```

#### 4.检查1Panel监听端口

```shell
 netstat -tnlp |grep 10086
```



## 四、关闭防火墙和selinux

#### 1. 关闭防火墙

**如果是在云服务器上，记得打开放行安全组端口**。

```shell
systemctl stop firewalld && systemctl disable firewalld
```

##### 放行端口（落防火墙不想关闭）

```shell
firewall-cmd --permanent --add-port=10086/tcp

firewall-cmd --relo
```

#### 2. 关闭selinux

```shell
sed -i 's/SELINUX=enforcing/SELINUX=disabled/' /etc/selinux/config setenforce 0
```



## 五、访问1Panel管理面板

#### 1.1Panel管理面板的初始化

```shell
访问以上安装输出的内网地址:

http://192.168.95.195:10086/dd17b3d79a
```

#### 2.登录1Panel管理面板

输入以上个人设置的用户名密码

![image-20240529181644438](C:\Users\涂祖函\AppData\Roaming\Typora\typora-user-images\image-20240529181644438.png)

#### 3.访问1Panel管理面板首页

![image-20240529181722563](C:\Users\涂祖函\AppData\Roaming\Typora\typora-user-images\image-20240529181722563.png)